services:
  pgadmin4:
    image: dpage/pgadmin4:8.12
    container_name: ${CONTAINER_NAME}
    restart: always
    labels:
      createdBy: "icontainer"
    environment:
      PGADMIN_DEFAULT_EMAIL: ${PGADMIN_DEFAULT_EMAIL}
      PGADMIN_DEFAULT_PASSWORD: ${PGADMIN_DEFAULT_PASSWORD}
    ports:
      - ${PANEL_APP_PORT_HTTP}:80
    volumes:
      - ./data:/var/lib/pgadmin
    networks:
      - icontainer-network

networks:
  icontainer-network:
    external: true